* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body, html {
    height: 100%;
    font-family: 'Roc Grotesk', sans-serif;
    overflow: hidden;
    width: 100%;
}

.animation{
    width: 100%;
    height: 100%;
}

.video-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    z-index: -1;
}

#bgVideo {
    pointer-events: none!important;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.content {
    text-align: center;
    color: #000;
    padding: 2rem;
    height: 100%;
    width: 100%;
}

.content.no-height {
    height: auto;
}

.logo {
    width: 50%;
    margin-bottom: 20px;
}

.logo-mini {
    width: 23%;
    margin-bottom: 20px;
}

h1 {
    font-size: 2.3rem;
    color: #000;
    margin-bottom: 10px;
    text-align: left;
}

p {
    font-size: 1.2rem;
    color: #000;
    margin-bottom: 40px;
}

.header {
    height: 10%;
    display: flex;
    justify-content: space-between;
}

.middle {
    display: flex;
    flex-direction: column;
    height: 80%;
}

.middle-without-height {
    display: flex;
    flex-direction: column;
}

.middle.align-center {
    justify-content: center;
    align-items: center;
}

.middle.align-left {
    justify-content: center;
    align-items: flex-start;
    text-align: left;
}

.middle.justify-start {
    justify-content:flex-start;
}

.footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 10%;
    width: 100%;
    max-width: 500px;
    margin: 0 auto;
}

.language-select {
    display: flex;
    align-items: center;
    border: 1px solid #000;
    padding: 10px 15px;
    border-radius: 4px;
    max-width: 220px;
    font-family: 'Arial', sans-serif;
    background-color: rgba(255, 255, 255, 0.3); /* Trasparente per vedere il background */
    position: relative; /* Necessario per posizionare correttamente la freccia */
}

.language-select label {
    font-size: 1rem;
    color: #333;
    flex: 1;
    text-align: left;
}

.language-select select {
    font-size: 1.2rem;
    font-weight: bold;
    border: none;
    background: none;
    color: #000;
    appearance: none; /* Mantiene la personalizzazione */
    padding: 0;
    margin-left: 10px;
    width: 50px; /* Fissa la larghezza in modo che non interferisca con il layout */
}

.language-select select:hover,
.language-select select:focus {
    cursor: pointer;
}

.language-select::after {
    content: "▼";
    font-size: 1rem;
    color: #000;
    position: absolute;
    right: 10px;
    pointer-events: none; /* Evita interferenze con la select */
}

.language-select select:focus {
    outline: none;
}

.start-button img {
    width: 5rem;
    height: 5rem;
}

/* QUESTIONS PAGE */

.name-input-container {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    width: 100%;
    max-width: 500px;
    padding: 2rem;
}

.back-button {
    align-self: flex-end;
    width: 50px;
    height: 50px;
    margin-bottom: 2rem;
    cursor: pointer;
}

.middle h3 {
    font-size: 1.6rem;
    color: #000;
    margin-bottom: 1rem;
}

h3.text-light {
    font-size: 1.7rem;
    font-weight: 200;
}

.name-input-form, .year-input-form{
    margin-top: 7rem;
    width: 100%;
}

.input {
    width: 100%;
    padding: 0.5rem 0;
    font-size: 1.5rem;
    border: none;
    border-bottom: 2px solid #000;
    margin-bottom: 2rem;
    background-color: transparent;
}

.name-input:focus, .year-input:focus, .input:focus {
    outline: none;
    border-color: inherit;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.go-ahead-button {
    width: 100%;
    height: 60px; /* Altezza fissa per il bottone */
    padding: 0;
    font-family: 'Roc Grotesk', sans-serif;
    font-weight: 300; /* Light */
    font-size: 1rem;
    background-color: transparent;
    border: 1px solid #000; /* Bordo sottile nero */
    border-radius: 0; /* Rimuove gli angoli arrotondati */
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    overflow: hidden; /* Nasconde eventuali overflow */
    transition: background-color 1s ease-in-out, border-color 1s ease-in-out;
}

.go-ahead-button span {
    flex-grow: 1;
    text-align: left;
    padding-left: 20px;
    text-transform: uppercase; /* Tutto maiuscolo */
    transition: color 1s ease-in-out;
}

.go-ahead-button .arrow-icon-wrapper {
    background-color: #08B789;
    height: 100%;
    width: 4rem; /* Larghezza fissa per l'area verde */
    padding: 15px;
    box-sizing: border-box;
    transition: background-color 1s ease-in-out;
}

.go-ahead-button .arrow-icon-wrapper img {
    transition: transform 1s ease-in-out;
    width: 1.5rem;
}

.go-ahead-button:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

.go-ahead-button.active {
    background-color: #08B789;
    border-color: #08B789;
}

.go-ahead-button.active .arrow-icon-wrapper img {
    transform: rotate(45deg);
}

.go-ahead-button.active span,
.go-ahead-button.active .arrow-icon {
    color: #000;
    stroke: #000;
}

.range-container {
    width: 100%;
    margin: 40px 0;
}

.range-input {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 2px;
    background: #000000;
    outline: none;
    opacity: 0.7;
    transition: opacity .2s;
}

.range-input:hover {
    opacity: 1;
}

.range-input::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 50%;
    background: #FF0000;
    cursor: pointer;
}

.range-input::-moz-range-thumb {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    background: #FF0000;
    cursor: pointer;
    border: 2px solid #ffffff;
}

.range-value {
    font-size: 1rem;
    font-weight: 200; /* Regular */
    margin-top: 1.9rem;
}

/* SELECT PATH PAGE */

.options-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    margin-top: 3rem;
}

.option {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 15px;
    padding: 2rem;
    cursor: pointer;
    height: 15rem;
    transition: background-color 0.3s ease;
}

.option:hover {
    background-color: rgba(255, 255, 255, 0.7);
}

.option h4 {
    font-size: 2rem;
    font-weight: bold;
}

/* GALLERY PAGE */

  .search-container {
    position: relative;
    width: 100%;
  }
  

  .gallery-wrapper {
    overflow-y: scroll;
    height: 70%;;
  }

  .gallery-container {
    height: 100%;
    width: 140vw;
    counter-reset: grid-item;
  }
  
  /* clearfix */
  .gallery-container:after {
    content: '';
    display: block;
    clear: both;
  }
  
  /* ---- grid-item ---- */
  
  .gallery-item {
    width: 66px;
    height: 66px;
    border: 2px solid white;
    border-radius: 50%;
    background-size: contain;
  }


/* SELECT PATH PAGE */

.options-container {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    margin-top: 3rem;
}

.option {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-color: rgba(255, 255, 255, 0.5);
    border-radius: 15px;
    padding: 2rem;
    cursor: pointer;
    height: 15rem;
    transition: background-color 0.3s ease;
}

.option:hover {
    background-color: rgba(255, 255, 255, 0.7);
}

.option h4 {
    font-size: 2rem;
    font-weight: bold;
}

/* GALLERY PAGE */

  .search-container {
    position: relative;
    width: 100%;
  }
  
  .search-input {
    width: 100%;
    padding-right: 40px; /* Spazio per l'icona */
    font-size: 1.2rem;
  }
  
  .search-icon {
    position: absolute;
    right: 10px;
    top: calc(50% - 1.4rem);
    width: 1.4rem;
    height: 1.4rem;
    cursor: pointer;
    transition: opacity 0.3s ease;
  }

  .search-icon:hover {
    opacity: 0.8;
  }

  .gallery-wrapper {
    overflow-y: scroll;
    height: 70%;;
  }

  /* ---- grid-item ---- */
  
  .gallery-item {
    width: 66px;
    height: 66px;
    border: 2px solid white;
    border-radius: 50%;
    background-size: contain;
  }

  .gallery-item--dim2 { width: 110px; height: 110px; }
  .gallery-item--dim3 { width: 154px; height: 154px; }
  .gallery-item--dim4 { width: 198px; height: 198px; }

/* Esempio generico per tablet */
@media only screen and (min-width: 991px) {
    .gallery-item--dim2 { width: 220px; height: 220px; }
    .gallery-item--dim3 { width: 308px; height: 308px; }
    .gallery-item--dim4 { width: 396px; height: 396px; }
}


/* PICTURE INTRO */

.header-artwork {
    height: 15%;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.artwork-image {
    max-width: 16rem;
    /*height: auto;*/
    margin-bottom: 1rem;
    border-radius: 15px;
    overflow: hidden;
    border: 2px solid white;
}

.artwork-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

/*.artwork-title {*/
/*    font-size: 2.5rem;*/
/*    font-weight: 300;*/
/*    margin: 1rem 0;*/
/*    text-align: center;*/
/*}*/
.artwork-title {
    font-size: 2rem;
    font-weight: 300;
    margin: 0.5rem 0;
    text-align: center;
}
.artwork-info, .artwork-date {
    font-size: 1rem;
    margin-bottom: 0.3rem;
}
/*.artwork-info, .artwork-date {*/
/*    font-size: 1rem;*/
/*    margin-bottom: 0.3rem;*/
/*}*/

.artwork-buttons {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 1rem;
    margin-top: 1.5rem;
    width: 100%;
}

.artwork-button-wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: calc(50% - 0.5rem);
    margin-bottom: 1rem;
    font-size: 1rem;
    font-weight: 200;
    text-transform: uppercase;
}

.artwork-button {
    border-radius: 50%;
    width: 5rem;
    height: 5rem;
    cursor: pointer;
    border: none;
    transition: background-color 0.3s ease, opacity 0.3s ease;
    margin-bottom: 0.5rem;
}

.artwork-button:hover {
    opacity: 0.8;
}

.artwork-button.red { background-color: rgba(255, 95, 95, 1); }
.artwork-button.blue { background-color: rgba(67, 59, 232, 1); }
.artwork-button.yellow { background-color: rgba(206, 179, 50, 1); }
.artwork-button.green { background-color: rgba(8, 183, 137, 1); }

.go-ahead-button .arrow-icon-wrapper {
    background-color: #08B789;
    height: 100%;
    width: 4rem;
    padding: 15px;
    box-sizing: border-box;
    transition: background-color 1s ease-in-out;
}

.go-ahead-button .arrow-icon-wrapper img {
    transition: transform 1s ease-in-out;
    width: 1.5rem;
}

.go-ahead-button:disabled {
    opacity: 0.5;
    cursor: not-allowed;
}

.go-ahead-button.active {
    background-color: #08B789;
    border-color: #08B789;
}

.go-ahead-button.active .arrow-icon-wrapper img {
    transform: rotate(45deg);
}

.go-ahead-button.active span,
.go-ahead-button.active .arrow-icon {
    color: #000;
    stroke: #000;
}

.range-container {
    width: 100%;
    margin: 40px 0;
}

.range-input {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 2px;
    background: #000000;
    outline: none;
    opacity: 0.7;
    transition: opacity .2s;
}

.range-input:hover {
    opacity: 1;
}

.range-input::-webkit-slider-thumb,
.range-input::-moz-range-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 50%;
    background: #FF0000;
    cursor: pointer;
}

.range-input::-moz-range-thumb {
    border: 2px solid #ffffff;
}

.range-value {
    font-size: 1rem;
    font-weight: 200;
    margin-top: 1.9rem;
}

/* ARTWORK DETAIL */

.artwork-detail-page {
    overflow-y: scroll;
}

.artwork-detail-page.artwork {
    background-color: rgba(255, 95, 95, 1);
    position: relative;
}
.artwork-detail-page.context {
    background-color: #433BE8;
    position: relative;
}
.artwork-detail-page.author {
    background-color: #CDB332;
    position: relative;
}
.artwork-detail-page.trivia {
    background-color: #0BB789;
    position: relative;
}

.artwork-detail-page.artwork::before {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 8%; /* Regola questa altezza secondo necessità */
    background: linear-gradient(to bottom, rgba(255, 95, 95, 1), rgba(255, 95, 95, 0));
    z-index: 100;
}

.artwork-title-detail {
    font-size: 2.5rem;
    font-weight: 300;
    text-align: center;
}

.artwork-details {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 45%;
    padding: 1rem;
}

.artwork-image.detail-page {
    width: 8rem;
    height: 8rem;
    border-radius: 50%;
}

.artwork-detail-content {
    height: 85%;
    text-align: center;
}

.artwork-subtitle {
    font-size: 2.5rem;
    font-weight: 400;
    margin-bottom: 1rem;
}

.audio-player {
    /*background-color: #FFC0C0;*/
    border-radius: 50%;
    width: 3rem;
    height: 3rem;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-bottom: 1rem;
}
.color-artwork {
    background-color: #FDB3B3;
}
.color-context {
    background-color: #A1A1F7;
}
.color-author {
    background-color: #FFED87;
}
.color-trivia {
    background-color: #7CEDCF;
}

.audio-icon {
    width: 1.5rem;
    height: 1.5rem;
}

.artwork-description {
    font-size: 1rem;
    line-height: 1.5;
    margin-bottom: 1rem;
    text-align: left;
    padding-right: 3rem;
    padding-bottom: 4rem;
}

.artwork-description h3 {
    font-size: 1.80rem;
    margin-bottom: 1rem;
}

.text-size-label {
    text-transform: uppercase;
    font-size: .7rem;
}

.text-size-controls {
    display: flex;
    gap: 0.5rem;
    position: fixed;
    right: 0;
    top: 60%;
    flex-direction: column;
    font-weight: 100;
    align-items: center;
}

.text-size-controls small {
    font-size: .6rem;
}

.text-size-button {
    height: 4rem;
    width: 4rem;
    /*background-color: #FFC0C0;*/
    border: none;
    font-size: 2rem;
    cursor: pointer;
}

.audio-player-container {
    position: absolute;
    display: flex;
    justify-content: center;
    margin: 20px 0;
}

/* Stile per la barra di scorrimento (opzionale) */
.artwork-description::-webkit-scrollbar {
    width: 8px;
}

.artwork-description::-webkit-scrollbar-track {
    background: #f1f1f1;
}

.artwork-description::-webkit-scrollbar-thumb {
    background: #888;
    border-radius: 4px;
}

.artwork-description::-webkit-scrollbar-thumb:hover {
    background: #555;
}

.description-controls-wrapper {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-top: 20px;
}
.audio{
    display: flex;
    justify-content: center;
    width: 100%;
    height: 5rem;
}
#riproduzione{
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: relative;
    mix-blend-mode: multiply;
}
/* CRAWLER */
